#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	int n, m;
	cin>>n>>m;
    int a, b;
    for (int i=1; i<=m; i++)
    cin>>a>>b;
    if(m%2==1) cout<<"NO";
    
}
